Run a script

Base URL
https://{kibana_url}
  • POST /api/endpoint/action/runscript
  • POST /s/{space_id}/api/endpoint/action/runscript
Auth

Run a shell command on an endpoint.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

parameters union oneOf required

Exactly one of 'Raw', 'HostPath', or 'CloudFile' must be provided. CommandLine and Timeout are optional for all.

One of:
commandLine string · min length: 1

Command line arguments.

raw string · min length: 1 required

Raw script content.

timeout integer · min: 1

Timeout in seconds.

Response

OK

application/json

Response Type: object

Base URL
https://{kibana_url}